Bug 867564 - RFE: Need to ensure content certificate can only be used on RHUI Consumer it was generated for. [NEEDINFO]
RFE: Need to ensure content certificate can only be used on RHUI Consumer it ...
Status: NEW
Product: Red Hat Update Infrastructure for Cloud Providers
Classification: Red Hat
Component: RHUA (Show other bugs)
2.1
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: James Slagle
Vratislav Hutsky
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-17 14:19 EDT by Todd Sanders
Modified: 2017-08-04 15:37 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cduryee: needinfo? (jboutaud)


Attachments (Terms of Use)

  None (edit)
Description Todd Sanders 2012-10-17 14:19:52 EDT
Description of problem:

Currently, you can register a RHUI consumer @ access.redhat.com, consume a RHUI subscription, and download a content certificate.  There is no protection to ensure that this certificate is not used to download content to multiple RHUAs.  We need to somehow tie this certificate to a particular RHUA.  Is the consumer identity embedded in the certificate?

Filed at the request of cmorgan.
Comment 1 John Matthews 2013-10-31 10:13:38 EDT
Punting to next release.

Note You need to log in before you can comment on or make changes to this bug.